EAttributeType_2d Struct Reference

`#include <mia/2d/vector.hh>`

Inheritance diagram for EAttributeType_2d:
[legend]
Collaboration diagram for EAttributeType_2d:
[legend]

## Static Public Member Functions

static bool | is_vector2d (int type)
Static Public Member Functions inherited from EAttributeType
static bool | is_vector (int type)
static int | scalar_type (int type)

## Static Public Attributes

static const int | vector_2d_bit = 0x20000
Static Public Attributes inherited from EAttributeType
static const int | attr_bool = 1
static const int | attr_double = 11
static const int | attr_float = 10
static const int | attr_schar = 3
static const int | attr_sint = 7
static const int | attr_slong = 9
static const int | attr_sshort = 5
static const int | attr_string = 12
static const int | attr_uchar = 2
static const int | attr_uint = 6
static const int | attr_ulong = 8
static const int | attr_unknown = 0
static const int | attr_ushort = 4
static const int | vector_bit = 0x80000000

## Detailed Description

Definition at line 289 of file 2d/vector.hh.

## Member Function Documentation

## is_vector2d()

bool EAttributeType_2d::is_vector2d | ( | int | type | ) |

inline static

Definition at line 293 of file 2d/vector.hh.

References vector_2d_bit.

## Field Documentation

## vector_2d_bit

const int EAttributeType_2d::vector_2d_bit = 0x20000

static

Definition at line 291 of file 2d/vector.hh.

Referenced by is_vector2d().

The documentation for this struct was generated from the following file:

- 2d/vector.hh